- 2024-01-09
  - Set preliminary feature freeze date to 2024-03-13.
  - Set preliminary release date to 2024-03-19.
- 2024-03-13
  - Defined scope.
  - Created release notes draft.
  - Set preliminary feature freeze date to 2024-03-27.
  - Set preliminary release date to 2024-04-02.
- 2024-03-27
  - Defined scope.
- 2024-03-28
  - Received notification that testing has finished.
- 2024-04-02
  - Published to downloads repo.
  - Updated CWS description.
  - Published to CWS.
  - Published to AMO.
  - Published to Microsoft store.
  - Published to Opera store.
- 2024-04-03
  - Noticed that release is live on Microsoft store.
  - Noticed that release is live on CWS.
  - Generated Manifest v3 development build 3.25.1.11212.
  - Published development build to CWS.
- 2024-04-04
  - Noticed that development build is live on CWS.
- 2024-04-05
  - Noticed that release is live on AMO.
- 2024-04-16
  - Noticed that Opera store states that "there are changes not submitted for
    the moderators review" despite "Adblock Plus v3.25.1 was submitted. Awaiting
    moderation." message. Therefore attempted submission again twice, but the
    statement remained unchanged.
- 2024-04-17
  - Generated and published development build collectively with awesome humans on a call!
  - Noticed that release is live on Opera store.
